You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     t...@tobik.me
Last committer: m...@freebsd.org
Ident:          $FreeBSD: head/java/openjfx8-devel/Makefile 412347 2016-04-01 
14:08:37Z mat $
Log URL:        
http://beefy4.nyi.freebsd.org/data/head-amd64-default/p413090_s297838/logs/openjfx8-devel-20160228.log
Build URL:      
http://beefy4.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p413090_s297838
Log:

====>> Building java/openjfx8-devel
build started at Wed Apr 13 15:59:00 UTC 2016
port directory: /usr/ports/java/openjfx8-devel
building for: FreeBSD head-amd64-default-job-08 11.0-CURRENT FreeBSD 
11.0-CURRENT r297838 amd64
maintained by: t...@tobik.me
Makefile ident:      $FreeBSD: head/java/openjfx8-devel/Makefile 412347 
2016-04-01 14:08:37Z mat $
Poudriere version: 3.1.12
Host OSVERSION: 1100102
Jail OSVERSION: 1100105




!!! Jail is newer than host. (Jail: 1100105, Host: 1100102) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
UNAME_v=FreeBSD 11.0-CURRENT r297838
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=amd64
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-amd64-default/ref
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=openjfx8-devel-20160228
OSREL=11.0
_OSRELEASE=11.0-CURRENT
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=24
PWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p/pool
HAVE_COMPAT_IA32_KERN=YES LINUX_OSRELEASE=2.6.32
MASTERNAME=head-amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.12
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1100105
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/java/openjfx8-devel/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/java/openjfx8-devel/work  
HOME=/wrkdirs/usr/ports/java/openjfx8-devel/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/java/openjfx8-devel/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/java/openjfx8-devel/work  
HOME=/wrkdirs/usr/ports/java/openjfx8-devel/work TMPDIR="/tmp" NO_PIE=yes 
WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  
LDFLAGS=" -fstack-protector" LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe 
-fstack-protector -fno-strict-aliasing "  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
ARCH=amd64
JAVA_HOME=/usr/local/openjdk8
JAVASHAREDIR="share/java"
JAVAJARDIR="share/java/classes"
GTK2_VERSION="2.10.0"
GTK3_VERSION="3.0.0"
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/openjfx8"
EXAMPLESDIR="share/examples/openjfx8"
DATADIR="share/openjfx8"
WWWDIR="www/openjfx8"
ETCDIR="etc/openjfx8"
--End PLIST_SUB--

--SUB_LIST--
JAVASHAREDIR="/usr/local/share/java"
JAVAJARDIR="/usr/local/share/java/classes"
JAVALIBDIR="/usr/local/share/java/classes"
JAVA_VERSION="1.8"
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/openjfx8
DOCSDIR=/usr/local/share/doc/openjfx8
EXAMPLESDIR=/usr/local/share/examples/openjfx8
WWWDIR=/usr/local/www/openjfx8
ETCDIR=/usr/local/etc/openjfx8
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv2 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   openjfx8-devel-20160228 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.7.2.txz
[head-amd64-default-job-08] Installing pkg-1.7.2...
[head-amd64-default-job-08] Extracting pkg-1.7.2: .......... done
===>   openjfx8-devel-20160228 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of openjfx8-devel-20160228
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by openjfx8-devel-20160228 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by openjfx8-devel-20160228 for building
=> SHA256 Checksum OK for openjfx8/freebsd20160228.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by openjfx8-devel-20160228 for building
===>  Extracting for openjfx8-devel-20160228
=> SHA256 Checksum OK for openjfx8/freebsd20160228.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for openjfx8-devel-20160228
===>  Applying FreeBSD patches for openjfx8-devel-20160228
===========================================================================
=======================<phase: build-depends  >============================
===>   openjfx8-devel-20160228 depends on package: apache-ant>0 - not found
===>   Installing existing package /packages/All/apache-ant-1.9.4.txz
[head-amd64-default-job-08] Installing apache-ant-1.9.4...
[head-amd64-default-job-08] `-- Installing openjdk8-8.77.3...
[head-amd64-default-job-08] |   `-- Installing giflib-5.1.3...
[head-amd64-default-job-08] |   `-- Extracting giflib-5.1.3: .......... done
[head-amd64-default-job-08] |   `-- Installing libXt-1.1.5,1...
[head-amd64-default-job-08] |   | `-- Installing xproto-7.0.28...
[head-amd64-default-job-08] |   | `-- Extracting xproto-7.0.28: .......... done
[head-amd64-default-job-08] |   | `-- Installing libSM-1.2.2_3,1...
[head-amd64-default-job-08] |   |   `-- Installing libICE-1.0.9_1,1...
[head-amd64-default-job-08] |   |   `-- Extracting libICE-1.0.9_1,1: .......... 
done
[head-amd64-default-job-08] |   | `-- Extracting libSM-1.2.2_3,1: .......... 
done
[head-amd64-default-job-08] |   | `-- Installing libX11-1.6.3,1...
[head-amd64-default-job-08] |   |   `-- Installing kbproto-1.0.7...
[head-amd64-default-job-08] |   |   `-- Extracting kbproto-1.0.7: .......... 
done
[head-amd64-default-job-08] |   |   `-- Installing libXdmcp-1.1.2...
[head-amd64-default-job-08] |   |   `-- Extracting libXdmcp-1.1.2: ......... 
done
[head-amd64-default-job-08] |   |   `-- Installing libxcb-1.11.1...
[head-amd64-default-job-08] |   |   | `-- Installing libxml2-2.9.3...
[head-amd64-default-job-08] |   |   | `-- Extracting libxml2-2.9.3: .......... 
done
[head-amd64-default-job-08] |   |   | `-- Installing libpthread-stubs-0.3_6...
[head-amd64-default-job-08] |   |   | `-- Extracting libpthread-stubs-0.3_6: 
..... done
[head-amd64-default-job-08] |   |   | `-- Installing libXau-1.0.8_3...
[head-amd64-default-job-08] |   |   | `-- Extracting libXau-1.0.8_3: .......... 
done
[head-amd64-default-job-08] |   |   `-- Extracting libxcb-1.11.1: .......... 
done
[head-amd64-default-job-08] |   | `-- Extracting libX11-1.6.3,1: .......... done
[head-amd64-default-job-08] |   `-- Extracting libXt-1.1.5,1: .......... done
[head-amd64-default-job-08] |   `-- Installing libXtst-1.2.2_3...
[head-amd64-default-job-08] |   | `-- Installing libXext-1.3.3_1,1...
[head-amd64-default-job-08] |   |   `-- Installing xextproto-7.3.0...
[head-amd64-default-job-08] |   |   `-- Extracting xextproto-7.3.0: .......... 
done
[head-amd64-default-job-08] |   | `-- Extracting libXext-1.3.3_1,1: .......... 
done
[head-amd64-default-job-08] |   | `-- Installing inputproto-2.3.1...
[head-amd64-default-job-08] |   | `-- Extracting inputproto-2.3.1: ..... done
[head-amd64-default-job-08] |   | `-- Installing libXi-1.7.6,1...
[head-amd64-default-job-08] |   |   `-- Installing libXfixes-5.0.1_3...
[head-amd64-default-job-08] |   |   | `-- Installing fixesproto-5.0...
[head-amd64-default-job-08] |   |   | `-- Extracting fixesproto-5.0: .... done
[head-amd64-default-job-08] |   |   `-- Extracting libXfixes-5.0.1_3: 
.......... done
[head-amd64-default-job-08] |   | `-- Extracting libXi-1.7.6,1: .......... done
[head-amd64-default-job-08] |   | `-- Installing recordproto-1.14.2...
[head-amd64-default-job-08] |   | `-- Extracting recordproto-1.14.2: .... done
[head-amd64-default-job-08] |   `-- Extracting libXtst-1.2.2_3: .......... done
<snip>
[head-amd64-default-job-08] |   |   `-- Extracting lzo2-2.09: .......... done
[head-amd64-default-job-08] |   | `-- Extracting libarchive-3.1.2_6,1: 
.......... done
[head-amd64-default-job-08] |   `-- Extracting gvfs-1.26.3_1: .......... done
[head-amd64-default-job-08] `-- Extracting libgnomeui-2.24.4_5: .......... done
[head-amd64-default-job-08] Extracting swt-devel-3.7.1_2,1: .......... done
Message from perl5-5.20.3_11:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
Message from python27-2.7.11_1:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
Message from ca_root_nss-3.22.2:
********************************* WARNING *********************************

FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.

*********************************** NOTE **********************************

This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem

***************************************************************************
Message from trousers-tddl-0.3.10_7:
To run tcsd automatically, add the following line to /etc/rc.conf

tcsd_enable="YES"

You might want to edit /usr/local/etc/tcsd.conf to reflect your setup.

To use TPM, add your_account to '_tss' group like following:

# pw groupadd _tss -m your_account
Message from esound-0.2.41_3:
The ESounD daemon (esd) must be started on a per-user basis.  This is typically
done by the Session Manager in GNOME.  However, if you are not using the
GNOME Desktop, you will need to add something like the following to your
X Windows initialization script:

esd -terminate -nobeeps -as 2
Message from xmlcatmgr-2.2_2:
The following catalogs are installed:

 1) /usr/local/share/sgml/catalog

   The top level catalog for SGML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 2) /usr/local/share/sgml/catalog.ports

   This catalog is for handling SGML stuff installed under
   /usr/local/share/sgml.  It is changed by ports/packages.

 3) /usr/local/share/xml/catalog

   The top level catalog for XML stuff.  It is not changed
   by any ports/packages except textproc/xmlcatmgr.

 4) /usr/local/share/xml/catalog.ports

   This catalog is for handling XML stuff installed under
   /usr/local/share/xml.  It is changed by ports/packages.
Message from gamin-0.1.10_8:
===============================================================================

Gamin will only provide realtime notification of changes for at most n files,
where n is the minimum value between (kern.maxfiles * 0.7) and
(kern.maxfilesperproc - 200). Beyond that limit, files will be polled.

If you often open several large folders with Nautilus, you might want to
increase the kern.maxfiles tunable (you do not need to set
kern.maxfilesperproc, since it is computed at boot time from kern.maxfiles).

For a typical desktop, add the following line to /boot/loader.conf, then
reboot the system:

    kern.maxfiles="25000"

The behavior of gamin can be controlled via the various gaminrc files.
See http://www.gnome.org/~veillard/gamin/config.html on how to create
these files.  In particular, if you find gam_server is taking up too much
CPU time polling for changes, something like the following may help
in one of the gaminrc files:

# reduce polling frequency to once per 10 seconds
# for UFS file systems in order to lower CPU load
fsset ufs poll 10

===============================================================================
Message from bash-4.3.42_1:
======================================================================

bash requires fdescfs(5) mounted on /dev/fd

If you have not done it yet, please do the following:

        mount -t fdescfs fdesc /dev/fd

To make it permanent, you need the following lines in /etc/fstab:

        fdesc   /dev/fd         fdescfs         rw      0       0

======================================================================
Message from fusefs-libs-2.9.5:
Install the fuse kernel module to use this port.
===>   openjfx8-devel-20160228 depends on package: swt-devel>0 - found
===>   Returning to build of openjfx8-devel-20160228
===>   openjfx8-devel-20160228 depends on file: /usr/local/openjdk8/bin/java - 
found
===>   openjfx8-devel-20160228 depends on file: 
/usr/local/libdata/pkgconfig/glproto.pc - found
===>   openjfx8-devel-20160228 depends on file: 
/usr/local/libdata/pkgconfig/dri2proto.pc - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   openjfx8-devel-20160228 depends on shared library: libjpeg.so - found 
(/usr/local/lib/libjpeg.so)
===>   openjfx8-devel-20160228 depends on shared library: libatk-1.0.so - found 
(/usr/local/lib/libatk-1.0.so)
===>   openjfx8-devel-20160228 depends on shared library: libglib-2.0.so - 
found (/usr/local/lib/libglib-2.0.so)
===>   openjfx8-devel-20160228 depends on shared library: libgtk-x11-2.0.so - 
found (/usr/local/lib/libgtk-x11-2.0.so)
===>   openjfx8-devel-20160228 depends on shared library: libpango-1.0.so - 
found (/usr/local/lib/libpango-1.0.so)
===>   openjfx8-devel-20160228 depends on shared library: libGLU.so - found 
(/usr/local/lib/libGLU.so)
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for openjfx8-devel-20160228
===========================================================================
=======================<phase: build          >============================
===>  Building for openjfx8-devel-20160228
:buildSrc:clean UP-TO-DATE
:buildSrc:generateGrammarSource
:buildSrc:compileJava
:buildSrc:compileGroovynet.rubygrapefruit.platform.NativeException: Failed to 
load native library 'libnative-platform.so' for FreeBSD amd64.
        at 
net.rubygrapefruit.platform.internal.NativeLibraryLoader.load(NativeLibraryLoader.java:49)
        at net.rubygrapefruit.platform.Native.init(Native.java:55)
        at 
org.gradle.internal.nativeintegration.services.NativeServices.initialize(NativeServices.java:74)
        at 
org.gradle.process.internal.child.ActionExecutionWorker.execute(ActionExecutionWorker.java:82)
        at 
org.gradle.process.internal.child.ActionExecutionWorker.execute(ActionExecutionWorker.java:37)
        at 
org.gradle.process.internal.child.ImplementationClassLoaderWorker.execute(ImplementationClassLoaderWorker.java:87)
        at 
org.gradle.process.internal.child.ImplementationClassLoaderWorker.execute(ImplementationClassLoaderWorker.java:41)
        at 
org.gradle.process.internal.child.SystemApplicationClassLoaderWorker.call(SystemApplicationClassLoaderWorker.java:49)
        at 
org.gradle.process.internal.child.SystemApplicationClassLoaderWorker.call(SystemApplicationClassLoaderWorker.java:33)
        at 
jarjar.org.gradle.process.internal.launcher.GradleWorkerMain.run(GradleWorkerMain.java:69)
        at 
jarjar.org.gradle.process.internal.launcher.GradleWorkerMain.main(GradleWorkerMain.java:74)
Caused by: java.lang.UnsatisfiedLinkError: 
/wrkdirs/usr/ports/java/openjfx8-devel/work/dot-gradle/native/19/freebsd-amd64/libnative-platform.so:
 Shared object "libstdc++.so.6" not found, required by "libnative-platform.so"
        at java.lang.ClassLoader$NativeLibrary.load(Native Method)
        at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1941)
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1824)
        at java.lang.Runtime.load0(Runtime.java:809)
        at java.lang.System.load(System.java:1086)
        at 
net.rubygrapefruit.platform.internal.NativeLibraryLoader.load(NativeLibraryLoader.java:45)
        ... 10 more
Unexpected exception thrown.
org.gradle.messaging.remote.internal.MessageIOException: Could not write 
message [EndOfStream] to '/0:0:0:0:0:0:0:1:30989'.
        at 
org.gradle.messaging.remote.internal.inet.SocketConnection.dispatch(SocketConnection.java:111)
        at 
org.gradle.messaging.remote.internal.hub.MessageHub$ConnectionDispatch.run(MessageHub.java:284)
        at 
org.gradle.internal.concurrent.ExecutorPolicy$CatchAndRecordFailures.onExecute(ExecutorPolicy.java:54)
        at 
org.gradle.internal.concurrent.StoppableExecutorImpl$1.run(StoppableExecutorImpl.java:40)
        at 
java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
        at 
java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
        at java.lang.Thread.run(Thread.java:745)
Caused by: java.io.IOException: Broken pipe
        at sun.nio.ch.FileDispatcherImpl.write0(Native Method)
        at sun.nio.ch.SocketDispatcher.write(SocketDispatcher.java:47)
        at sun.nio.ch.IOUtil.writeFromNativeBuffer(IOUtil.java:93)
        at sun.nio.ch.IOUtil.write(IOUtil.java:51)
        at sun.nio.ch.SocketChannelImpl.write(SocketChannelImpl.java:471)
        at 
org.gradle.messaging.remote.internal.inet.SocketConnection$SocketOutputStream.writeWithNonBlockingRetry(SocketConnection.java:248)
        at 
org.gradle.messaging.remote.internal.inet.SocketConnection$SocketOutputStream.writeBufferToChannel(SocketConnection.java:236)
        at 
org.gradle.messaging.remote.internal.inet.SocketConnection$SocketOutputStream.flush(SocketConnection.java:230)
        at 
org.gradle.messaging.remote.internal.inet.SocketConnection.dispatch(SocketConnection.java:109)
        ... 6 more
====>> Killing runaway build after 7200 seconds with no output
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to